/*
 * The org.opensourcephysics.numerics package contains numerical methods
 * for the book Simulations in Physics.
 * Copyright (c) 2003  H. Gould, J. Tobochnik, and W. Christian.
 */
package math.numerics;

/**
 * Title:        Function
 * Description:  A function of one variable.
 */
public interface Function {

   /**
    * Evalutes the function at x.
    *
    * @param x
    *
    * @return double f(x)
    */
   public double evaluate (double x);
}
